---
title: Property data types
slug: cms-12/api/property-data-types
docTags: 
createdAt: 2026-08-07T16:45:43.000Z
---

## List property data types

List property data types available in the system.

`GET /api/episerver/v3.0/propertydatatypes`

## Common property data types

- `PropertyBlob` – Creates a BLOB. You can hold binary data (such as an image). Route to a BLOB with pattern `{Url to content}` or `{BlobPropertyName}`.
- `PropertyBoolean` – Creates a Boolean (checkbox).
- `PropertyCategory` – Creates a category (picker). You can manage categories in the admin UI.
- `PropertyCheckBoxList` – Creates a checkbox list. You can manage available selections from the admin UI.
- `PropertyCollection` with `itemType` specifying the type of items within the list – Creates a generic list. You can specify `ItemType` as built-in `dataType` like `PropertyString` or block types specified with the name of the block type. Supports `length` validation and another item validation, optionally depending on item type.
- `PropertyDate` – Creates a date and time (picker). You can control the min and max values with the `range` validation.
- `PropertyDateList` – Creates a list of dates. You can control the min and max values with the `itemRange` validation. Control the number of strings with `length` validation.
- `PropertyDoubleList` – Creates a list of doubles. You can control the min and max values with the `itemRange` validation. Control the number of strings with `length` validation.
- `PropertyDropDownList` – Creates a dropdown list. You can manage available selections from the admin UI.
- `PropertyFloatNumber` – Creates a double. You can control the min and max values with the `range` validation.
- `PropertyIntegerList` – Creates a list of integers. You can control the min and max values with the `itemRange` validation. Control the number of strings with `length` validation.
- `PropertyLanguage` – Creates a language (checkbox list).
- `PropertyLongString` with hint `Textarea` – Creates a plain long text area. You can control the allowed length with the `length` validation.
- `PropertyNumber` – Creates an Integer value. You can control the min and max values with the `range` validation.
- `PropertyPageType` – Creates a page type. You can filter items in a list, and so on.
- `PropertySortOrder` – Creates a sort order (drop-down list).
- `PropertyString` – Creates a plain short text (one row input). You can control the allowed length with the `length` validation.
- `PropertyStringList` – Creates a list of strings. You can control the allowed length with the `itemLength` validation. Control the number of strings with `length` validation.
- `PropertyXhtmlString` – Creates HTML (TinyMCE HTML editor).

## Work with other content

- `PropertyBlock` and `itemType` with the name of the block type. – Creates an `include` block data.
- `PropertyContentArea` – Creates a display content from other content.
- `PropertyContentReference` – Creates a link to any content. (Content picker with drag-and-drop support.)
- `PropertyContentReference` with hint `Image` – Creates a link to an image. (Content picker with drag-and-drop support.) You can let an editor select content in the media repository by using `baseType Image`.
- `PropertyContentReference` with hint `MediaFile` – Creates a link to a media file of any type. (Content picker with drag-and-drop support.) You can link to any file in the media repository.
- `PropertyContentReference` with hint `Video` – Creates a link to a video. (Content picker with drag-and-drop support.) You can let an editor select content in the media repository by using baseType Video.
- `PropertyContentReferenceList` – Creates a link to internal resources. (Content picker with drag-and-drop support.) You can control the number of content references with `length` validation.
- `PropertyLinkCollection` – Creates a link to multiple external and internal resources. (Link collection editor with drag-and-drop support.) You can control the number of links with `length` validation.
- `PropertyPageReference` – Creates a link to a page. (Content picker with drag-and-drop support.)
- `PropertyUrl` – Creates a Link to internal or external resource. (Link dialog box with drag-and-drop support.)
- `PropertyUrl` with hint `MediaFile`, `Image`, or `Video` – Creates a link to a media file with the possibility to append information in the URL. (Content picker with drag-and-drop support.) You can use each link as an item inside Optimizely, such as page, media, and external URLs. Use URL instead of `PropertyContentReference` to add information, such as query string parameters to control size.

## Validation

See [Content types](docId:_unWZq-9SMzMrgLk9O5lN) for validation information.
